/* Linker script to configure memory regions. */

SEARCH_DIR(.)
GROUP(-lgcc -lc -lnosys)

MEMORY
{
  FLASH(rx): ORIGIN = 0x1c000, LENGTH = 0x4000 
  RAM (rwx): ORIGIN = 0x20002c00, LENGTH = 0x1380 
  RAM2 (rwx): ORIGIN = 0x20003f80, LENGTH = 0x80 
  UICR (r)  : ORIGIN = 0x10001010, LENGTH =  0xfc
  bootloader_settings (rwx) : ORIGIN = 0x0003FC00, LENGTH = 0x400
}

SECTIONS
{
  .bootloaderSettings 0x3fc00 (NOLOAD):
  {
    KEEP(*(.bootloader_settings_sect))
  } > bootloader_settings

  .uicrBootStartAddress 0x10001014:
  {
	KEEP(*(.uicrBootStartAddress))
  } > UICR
  
  /* Place noinit section in RAM2 region*/
  .NoInit 0x20003f80 (NOLOAD):
  {
  } >RAM2
  /* other placements follow here... */
}

INCLUDE "gcc_nrf51_common.ld"
